mbedtls_ssl_ticket_context
ssl_ticket.h
mbedtls_ssl_ticket_key mbedtls_ssl_ticket_key mbedtls_ssl_ticket_context::keys[2] [2] keys mbedtls_ssl_ticket_context::keys

ticket protection keys

unsigned char unsigned char mbedtls_ssl_ticket_context::active active mbedtls_ssl_ticket_context::active

index of the currently active key

uint32_t uint32_t mbedtls_ssl_ticket_context::ticket_lifetime ticket_lifetime mbedtls_ssl_ticket_context::ticket_lifetime

lifetime of tickets in seconds

int(* int(* mbedtls_ssl_ticket_context::f_rng) (void *, unsigned char *, size_t) )(void *, unsigned char *, size_t) f_rng mbedtls_ssl_ticket_context::f_rng

Callback for getting (pseudo-)random numbers

void * void* mbedtls_ssl_ticket_context::p_rng p_rng mbedtls_ssl_ticket_context::p_rng

context for the RNG function

mbedtls_threading_mutex_t mbedtls_threading_mutex_t mbedtls_ssl_ticket_context::mutex mutex mbedtls_ssl_ticket_context::mutex

Context for session ticket handling functions.

mbedtls_cipher_context_t
cipher_info
cmac_ctx
mbedtls_cipher_info_t
mbedtls_cmac_context_t
mbedtls_ssl_ticket_context
keys
mutex
mbedtls_ssl_ticket_key
ctx
mbedtls_threading_mutex_t
- mbedtls_ssl_ticket_context
  active
- mbedtls_ssl_ticket_context
  f_rng
- mbedtls_ssl_ticket_context
  keys
- mbedtls_ssl_ticket_context
  mutex
- mbedtls_ssl_ticket_context
  p_rng
- mbedtls_ssl_ticket_context
  ticket_lifetime